﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Controls;
using System.ComponentModel;

namespace SimpleTypeConverter
{
  public class Friend
  {
    private string _name;
    private Address _address;

    public string Name
    {
      get { return _name; }
      set { _name = value; }
    }
    public Address Address
    {
      get { return _address; }
      set { _address = value; }
    }
    public override string ToString()
    {
      if (_address != null)
        return string.Format("Name: {0}\nAdresse: {1} {2} {3} {4}"
                       , _name
                       , _address.Street
                       , _address.StreetNumber
                       , _address.ZipCode
                       , _address.City);
      return _name;
    }
  }
}
