using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace RoutedEventsBeispiel
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>

  public partial class Window1 : System.Windows.Window
  {
    public Window1()
    {
      InitializeComponent();

      this.AddHandler(UIElement.PreviewMouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
      this.AddHandler(UIElement.MouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
      button1.AddHandler(UIElement.PreviewMouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
      button1.AddHandler(UIElement.MouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
      stackPanel1.AddHandler(UIElement.PreviewMouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
      stackPanel1.AddHandler(UIElement.MouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
      rectangle1.AddHandler(UIElement.PreviewMouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
      rectangle1.AddHandler(UIElement.MouseLeftButtonDownEvent, new RoutedEventHandler(GeneralOnMouseDown), true);
    }

    private void GeneralOnMouseDown(object sender,RoutedEventArgs e)
    {
      // Wenn auf dem Fenster das PreviewMouseLeftButtonDownEvent stattfindet,
      // werden die Elemente aus der ListBox entfernt
      if (sender is Window1 && e.RoutedEvent==UIElement.PreviewMouseLeftButtonDownEvent)
      {
        listView.Items.Clear();
      }
      // Einen anonymen Typ zur ListView hinzufgen,
      // der die Properties Sender und RoutedEventName besitzt
      listView.Items.Add(new { Sender = sender.GetType().Name, RoutedEventName = e.RoutedEvent.Name });
    }
  }
}