﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Interop;

namespace Sonstiges
{
    /// <summary>
    /// Interaction logic for Window3.xaml
    /// </summary>
    public partial class Window3 : Window
    {
        public Window3()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (Environment.OSVersion.Version.Major < 6)// älter als Vista
            {
                MessageBox.Show("TaskDialog ist erst ab Vista verfügbar");
                return;
            }
            IntPtr hwndParent = new WindowInteropHelper(this).Handle;
            TaskDialogResult result;
            VistaHelper.TaskDialog(hwndParent, IntPtr.Zero, "WPF verwenden", "Sind Sie sicher, dass Sie WPF verwenden möchten?", "Dies wird Ihre Zukunft als Entwickler beeinflussen.", TaskDialogButtons.Yes | TaskDialogButtons.No, TaskDialogIcon.Warning, out result);
            if (result == TaskDialogResult.Yes)
            {
                lblResult.Text = "Eine gute Entscheidung";
            }
            else
            {
                lblResult.Text = "Welche Technologie bevorzugen Sie?";
            }
        }

        private void Window_SourceInitialized(object sender, EventArgs e)
        {
            VistaHelper.ExtendGlassFrame(this, new Thickness(-1));
        }
    }
}
