﻿using System;
using System.ComponentModel;

namespace SimpleTypeConverter
{
  /*
   * AdressConverter konvertiert den String
   * gesamten String in eine Adresse
   */
  [TypeConverter(typeof(AddressConverter))]
  public class Address
  {
    private string _street;
    private string _streetNumber;
    private int _zipCode;
    private string _city;

    public string Street
    {
      get { return _street; }
      set { _street = value; }
    }
    public string StreetNumber
    {
      get { return _streetNumber; }
      set { _streetNumber = value; }
    }
    public int ZipCode
    {
      get { return _zipCode; }
      set { _zipCode = value; }
    }
    public string City
    {
      get { return _city; }
      set { _city = value; }
    }
  }
}
